Skala
Stock transfer items

Create a new stock transfer item

Adds a new stock transfer item record to the database.

POST
/api/stock_transfer_items

Adds a new stock transfer item record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new StockTransferItem resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/stock_transfer_items" \  -H "Content-Type: application/json" \  -d '{    "stock": "/entity/1",    "stockVariant": "/entity/1",    "quantity": "string"  }'
{
  "id": 0,
  "transfer": "/entity/1",
  "stock": "/entity/1",
  "stockVariant": "/entity/1",
  "quantity": "string",
  "unitCost": "string",
  "totalCost": "string",
  "availableInOrigin": "string",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty